Contact Roles
Contact roles define the role a contact plays within a relationship (e.g., primary contact, billing contact, technical contact).
Use the Datastore_Role endpoint to query contact roles.
Endpoints
List Contact Roles
GET
/v1/odata/Datastore_RoleSingle Contact Role
GET
/v1/odata/Datastore_Role({id})Fields
Datastore Fields (inherited)
| Field | Type | Description |
|---|---|---|
Name | String | Display name |
Code | String | Unique code identifier |
LocalizedName | String | Localized display name |
IsDefault | Boolean | Whether this is the default value |
Relationships
| Relationship | Target Entity | Cardinality | Description |
|---|---|---|---|
| Contact | Relationship_Person_Contact | 1:N | Contact |
Expanding Relationships
GET
/v1/odata/Datastore_Role({id})?$expand=ContactNavigating Relationships
GET
/v1/odata/Datastore_Role({id})/ContactFiltering Examples
GET
/v1/odata/Datastore_Role?$filter=Name eq '{Name}'&$top={top}GET
/v1/odata/Datastore_Role?$filter=contains(Name, '{Name}')&$top={top}GET
/v1/odata/Datastore_Role?$filter=Code eq '{Code}'&$top={top}GET
/v1/odata/Datastore_Role?$filter=IsDefault eq {IsDefault}&$top={top}